singularity(1)

NAME

singularity-overlay-create - Create EXT3 writable overlay image

SYNOPSIS

singularity overlay create image

DESCRIPTION

The overlay create command allows to create EXT3 writable overlay image either
  as a single EXT3 image or by adding it automatically to an existing SIF image.

OPTIONS

--create-dir=[]
    directory to create as part of the overlay layout

-h, --help[=false]
    help for create

-s, --size=64
    size of the EXT3 writable overlay in MiB

-S, --sparse[=false]
    create a sparse overlay

EXAMPLE

      To create and add a writable overlay to an existing SIF image:
      $ singularity overlay create --size 1024 /tmp/image.sif

      To create a single EXT3 writable overlay image:
      $ singularity overlay create --size 1024 /tmp/my_overlay.img

      To create a sparse overlay when creating a new ext3 file system image:
      $ singularity overlay create --size 1024 --sparse /tmp/ext3_overlay.img

SEE ALSO

singularity-overlay(1)

HISTORY

1-Apr-2024 Auto generated by spf13/cobra